## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<EarlyBinder<'tcx, Ty<'tcx>>, CyclePlaceholder>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(EarlyBinder<TyCtxt<'tcx>, Ty<'tcx>>),
        Err(CyclePlaceholder),
    }

## Variants§

§

### Ok(EarlyBinder<TyCtxt<'tcx>, Ty<'tcx>>)

Contains the success value

§

### Err(CyclePlaceholder)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.